﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading;
using System.Windows.Forms;

namespace TurnOffMonitor
{
    class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // Mutex aplikace -> ke kontrole, zda aplikace již neběží. Pokud ano tak vyšle signál, který zobrazí její hlavní okno
            bool createdNew = true;
            System.Threading.Mutex appMutex = new System.Threading.Mutex(true, "turn-off-monitor-159", out createdNew);

            if ((createdNew) && (System.Diagnostics.Process.GetProcessesByName(System.Diagnostics.Process.GetCurrentProcess().ProcessName).Length == 1))
            {
                appMutex.ReleaseMutex();
                Application.Run(new Form1());
            }
        }
    }
}
